<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="标题" prop="title" v-model="form.title" placeholder="请输入标题"/>
                            <Field label="排序" prop="sort" v-model="form.sort" placeholder="请输入排序"/>
                            <Field label="置顶 " prop="top" v-model="form.top" type="select" :enumData="dict.top" placeholder="请选择置顶 "/>
                            <Field label="图片名称" prop="feedbackFileName" v-model="form.feedbackFileName" type="textarea" placeholder="请输入图片名称"/>
                            <Field label="图片路径"><fileUpload v-model="form.feedbackFilePath"  prePath="/file/fileupload"/></Field>
                            <Field label="备注说明" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注说明"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    import FileUpload from '@/components/FileUpload';
    export default {
        mixins: [form],
        components: {
            dialogShow ,
            FileUpload,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "绩效反馈附件",
                // 是否显示弹出层
                open: false,
                toString:[
                    "top",
                ],
                // 表单校验
                rules: {
                    title: [
                        {required: true,message: "请输入标题", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="feedback/file/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改绩效反馈附件";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "feedback/file/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增绩效反馈附件";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="feedback/file/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "绩效反馈附件详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    title : "",
                    sort : 0,
                    top : 0,
                    feedbackFileName : "",
                    feedbackFilePath : "",
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
